Assign static IP addresses to user devices
post
Authorizations
defguard_sessionstringRequired
Path parameters
usernamestringRequired
Name of the user.
Bodyobject · StaticIpAssignment[]
device_idinteger · int64Required
ipsstring[]Required
location_idinteger · int64Required
Responses
200
IP addresses assigned.
application/json
objectOptional
400
Invalid IP assignment.
application/json
401
Session is missing or invalid.
application/json
403
Requires admin privileges.
application/json
500
Unable to assign IP addresses.
application/json
post/api/v1/device/user/{username}/ip
POST /api/v1/device/user/{username}/ip HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 48
[
{
"device_id": 1,
"ips": [
"text"
],
"location_id": 1
}
]{
"message": "Static IPs assigned successfully"
}PreviousList the IP addresses of all devices of a user, grouped by locationNextCheck whether a single static IP assignment would be valid
Last updated
Was this helpful?